﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// DBConn의 요약 설명입니다.
/// </summary>
public class DBConn
{
    string source = @"Data Source=GSI;Initial Catalog=NoteDB;Persist Security Info=True;User ID=sa;Password=***";
    SqlConnection conn;

	public DBConn()
	{
		//
		// TODO: 생성자 논리를 여기에 추가합니다.
		//
	}

    public void Open()
    {
        conn = new SqlConnection(source);
        conn.Open();
    }

    public void Close()
    {
        conn.Close();
    }

    public void ExecuteSQL(string sql)
    {
        SqlCommand cmd = new SqlCommand(sql, conn);
        cmd.ExecuteNonQuery();
    }

    public SqlDataReader ExecuteReader(string sql)
    {
        SqlCommand cmd = new SqlCommand(sql, conn);
        return cmd.ExecuteReader();
    }

    public DataSet GetNoteList()
    {
        string sql = "select * from note";

        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = new SqlCommand(sql, conn);

        DataSet ds = new DataSet();
        adapter.Fill(ds);

        return ds;
    }

    public void AddNote(string name, string content, string email)
    {
        SqlCommand cmd = new SqlCommand("sp_AddNote", conn);

        cmd.CommandType = CommandType.StoredProcedure;

        SqlParameter param1 = new SqlParameter("@Name", SqlDbType.VarChar, 50);
        param1.Value = name;
        cmd.Parameters.Add(param1);

        SqlParameter param2 = new SqlParameter("@Content", SqlDbType.VarChar, 400);
        param2.Value = content;
        cmd.Parameters.Add(param2);

        SqlParameter param3 = new SqlParameter("@Email", SqlDbType.VarChar, 50);
        param3.Value = email;
        cmd.Parameters.Add(param3);

        cmd.ExecuteNonQuery();
    }
}

